<?php
error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ob_start();
session_start();
if((($_SERVER['SERVER_ADDR']==$_SESSION['demo_server_ip']) && ($_SERVER['REMOTE_ADDR']!=$_SESSION['demo_developer_ip']) && ($_SESSION['id_user']==$_SESSION['demo_user_id'])) || ($_SESSION['sml_si']!=session_id())) {
    //DEMO CHECK
    die();
}
require_once("../../db/connection.php");
require_once("../functions.php");
$id_map = (int)$_POST['id_map'];
$id_story = (int)$_POST['id'];
$zoom = (int)$_POST['zoom'];
$description = htmlspecialchars_decode($_POST['description']);
$array_lang = json_decode($_POST['array_lang'],true);
$query = "UPDATE sml_story SET zoom=?,description=? WHERE id=?;";
if($smt = $mysqli->prepare($query)) {
    $smt->bind_param('isi',$zoom,$description,$id_story);
    $result = $smt->execute();
    if($result) {
        save_input_langs($array_lang,'sml_story_lang','id_story',$id_story);
        ob_end_clean();
        echo json_encode(array("status"=>"ok"));
    } else {
        ob_end_clean();
        echo json_encode(array("status"=>"error"));
    }
} else {
    ob_end_clean();
    echo json_encode(array("status"=>"error"));
}